Summary: SMB client and server
Name: samba
Version: 1.9.17p4
Release: 3
Copyright: GPL
Group: Networking
Source: ftp://samba.anu.edu.au/pub/samba/samba-1.9.17p4.tar.gz
Source1: samba.pamd
Patch: samba-make.patch
Patch2: samba-axp.patch
Patch3: samba-initconf.patch
Requires: pam >= 0.59
Prereq: /sbin/chkconfig, fileutils
BuildRoot: /tmp/samba

%description
Samba provides an SMB server which can be used to provide network
services to SMB (sometimes called "Lan Manager") clients, including
various versions of MS Windows, OS/2, and other Linux machines.
Samba also provides some SMB clients, which complement the built-in
SMB filesystem in Linux.

Samba uses NetBIOS over TCP/IP (NetBT) protocols and does NOT need
NetBEUI (Microsoft Raw NetBIOS frame) protocol.

%changelog

* Fri Oct 31 1997 Donnie Barnes <djb@redhat.com>

- added verbosity to restart option of init script

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>

- added (missingok) to init symlinks

* Wed Oct 22 1997 Michael K. Johnson <johnsonm@redhat.com>

 Moved to 1.9.17p4; fixes several bugs.

* Tue Oct 14 1997 Michael K. Johnson <johnsonm@redhat.com>

 New PAM conventions
 BuildRoot
 Init scripts are now relative symlinks
 chkconfig support

* Fri Sep 26 1997 Donnie Barnes <djb@redhat.com>

 updated to 1.9.17p2 for security reasons

* Tue Apr 1  1997 Michael Fulbright <msf@redhat.com>
 
 Added creation of the /var/spool/samba directory.

* Tue Mar 18 1997 Michael Fulbright  <msf@redhat.com>

 Merged with the SPEC file from the samba team.

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>

 Moved from pam.conf to pam.d

%prep
%setup
%patch -p1

%ifarch alpha
%patch2 -p1
%endif

%patch3 -p1 -b .newinit

%build
cd source
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DNO_ASMSIGNALH"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man7
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
for i in 0 1 3 5 6 ; do
  mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$i.d
done
cd source
cd ..
for i in nmblookup smbclient smbpasswd smbrun smbstatus testparm testprns
do
	install -m755 -s -g 0 -o 0 source/$i $RPM_BUILD_ROOT/usr/bin
done
for i in addtosmbpass mksmbpasswd.sh smbtar 
do
	install -m755 -g 0 -o 0 source/$i $RPM_BUILD_ROOT/usr/bin
done
for i in smbd nmbd
do
	install -m755 -s -g 0 -o 0 source/$i $RPM_BUILD_ROOT/usr/sbin
done
for i in smbclient.1 smbrun.1 smbstatus.1 smbtar.1 testparm.1 testprns.1
do
	install -m644 -g 0 -o 0 docs/$i $RPM_BUILD_ROOT/usr/man/man1
done
install -m644 -g 0 -o 0 docs/smb.conf.5 $RPM_BUILD_ROOT/usr/man/man5
install -m644 -g 0 -o 0 docs/samba.7 $RPM_BUILD_ROOT/usr/man/man7
install -m644 -g 0 -o 0 docs/smbd.8 $RPM_BUILD_ROOT/usr/man/man8
install -m644 -g 0 -o 0 docs/nmbd.8 $RPM_BUILD_ROOT/usr/man/man8
install -m644 examples/simple/smb.conf $RPM_BUILD_ROOT/etc/smb.conf.sampl
install -m644 examples/redhat/smb.conf $RPM_BUILD_ROOT/etc/smb.conf
install -m755 examples/redhat/smb $RPM_BUILD_ROOT/etc/rc.d/init.d/smb
ln -sf ../init.d/smb $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K35smb
ln -sf ../init.d/smb $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K35smb
ln -sf ../init.d/smb $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S91smb
ln -sf ../init.d/smb $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S91smb
ln -sf ../init.d/smb $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K35smb
mkdir -p $RPM_BUILD_ROOT/home/samba
mkdir -p $RPM_BUILD_ROOT/var/lock/samba
mkdir -p $RPM_BUILD_ROOT/var/spool/samba
chmod 1777 $RPM_BUILD_ROOT/var/spool/samba
chown root.nobody $RPM_BUILD_ROOT/home/samba
chmod 775 $RPM_BUILD_ROOT/home/samba
install -m 644 -o 0 -g 0 examples/redhat/samba.log $RPM_BUILD_ROOT/etc/logrotate.d/samba

install -m 644 -o 0 -g 0 ${RPM_SOURCE_DIR}/samba.pamd $RPM_BUILD_ROOT/etc/pam.d/samba
mkdir -p $RPM_BUILD_ROOT/var/log/
touch $RPM_BUILD_ROOT/var/log/samba
chmod 600 $RPM_BUILD_ROOT/var/log/samba

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /var/log/samba ]; then
	touch /var/log/samba
	chmod 600 /var/log/samba
fi
/sbin/chkconfig --add smb

%postun
if [ $0 = 1 ] ; then
  /sbin/chkconfig --del smb
fi

%files
%doc docs/*.txt docs/INSTALL.sambatar docs/PROJECTS 
%doc docs/README.DCEDFS docs/README.jis docs/README.sambatar 
%doc docs/SMBTAR.notes docs/THANKS docs/announce docs/history
%doc docs/faq docs/samba.lsm docs/wfw_slip.htm
%doc examples

%config /etc/pam.d/samba

/usr/sbin/smbd
/usr/bin/addtosmbpass
/usr/bin/mksmbpasswd.sh
/usr/bin/smbclient
/usr/sbin/nmbd
/usr/bin/testparm
/usr/bin/testprns
/usr/bin/smbrun
/usr/bin/smbstatus
/usr/bin/nmblookup
/usr/bin/smbpasswd
/usr/bin/smbtar
%config /etc/smb.conf
%config /etc/smb.conf.sampl
%config /etc/rc.d/init.d/smb
%config(missingok) /etc/rc.d/rc0.d/K35smb
%config(missingok) /etc/rc.d/rc1.d/K35smb
%config(missingok) /etc/rc.d/rc3.d/S91smb
%config(missingok) /etc/rc.d/rc5.d/S91smb
%config(missingok) /etc/rc.d/rc6.d/K35smb
%config /etc/logrotate.d/samba
/usr/man/man1/smbstatus.1
/usr/man/man1/smbclient.1
/usr/man/man1/smbrun.1
/usr/man/man1/smbtar.1
/usr/man/man1/testparm.1
/usr/man/man1/testprns.1
/usr/man/man5/smb.conf.5
/usr/man/man7/samba.7
/usr/man/man8/smbd.8
/usr/man/man8/nmbd.8
%dir /home/samba
%dir /var/lock/samba
%dir /var/spool/samba
%ghost /var/log/samba
